import AntModal from '@/components/pt/dialog/AntModal'
import { getVInternationalUnpacking, addVInternationalUnpacking, updateVInternationalUnpacking } from '@/api/system/vInternationalUnpacking'

export default {
  name: 'CreateForm',
  props: {
 },
  components: {
    AntModal },
  data () {
    return {
      open: false,
      spinning: false,
      delayTime: 100,
      labelCol: { span: 4 },
      wrapperCol: { span: 14 },
      loading: false,
      total: 0,
      id: undefined,
      formTitle: '添加国际开箱数据',
      // 表单参数
      form: {},
      rules: {
      }
    }
  },
  filters: {},
  created () {},
  computed: {},
  watch: {},
  mounted () {},
  methods: {
    onClose () {
      this.open = false
      this.reset()
      this.$emit('close')
    },
    // 取消按钮
    cancel () {
      this.open = false
      this.reset()
      this.$emit('close')
    },
    // 表单重置
    reset () {
      this.form = {
        id: undefined,
        mwbno: undefined,
        hwbno: undefined,
        createdby: undefined,
        cargoname: undefined,
        count: undefined,
        unit: undefined,
        result: undefined
      }
    },
    /** 新增按钮操作 */
    handleAdd () {
      this.reset()
    },
    /** 修改按钮操作 */
    handleUpdate (row) {
      this.reset()
      this.open = true
      this.spinning = !this.spinning
      const vInternationalUnpackingId = row.id
      getVInternationalUnpacking(vInternationalUnpackingId).then(response => {
        this.form = response.data
        this.formTitle = '修改国际开箱数据'
        this.spinning = !this.spinning
      })
    },
    /** 提交按钮 */
    submitForm: function () {
      this.$refs.form.validate(valid => {
        if (valid) {
            const saveForm = JSON.parse(JSON.stringify(this.form))
			if (this.form.id !== undefined) {
				updateVInternationalUnpacking(saveForm).then(response => {
					this.$message.success('新增成功', 3)
					this.open = false
					this.$emit('ok')
					this.$emit('close')
				})
              } else {
				addVInternationalUnpacking(saveForm).then(response => {
					this.$message.success('新增成功', 3)
					this.open = false
					this.$emit('ok')
					this.$emit('close')
				})
			}
        } else {
          return false
        }
      })
    },
    back () {
      const index = '/system/vinternationalunpacking/index'
      this.$router.push(index)
    }
  }
}
